# spec file for package sloppy022 (Version 0.2.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A strong chess engine using the winboard protocol
Name:           sloppy022
Version:        0.2.2
Release:        pm151.3.6
License: GPL-2.0
Group:          Amusements/Games/Board/Chess
URL:            http://koti.mbnet.fi/~ilaripih/sloppy/index.html
Source:         sloppy-%{version}.tar.bz2
Source1:	xsloppy022
# startup script derived from script by Oliver Korff
Source2:	%{name}.sh
Source3:	book.bin.bz2
Source4:	%{name}.sh
Patch0:		%{name}-config.patch
Patch1:         sloppy-no-build-date.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
AutoReqProv:    on
Recommends:	xboard

%description
Sloppy is a versatile open source chess engine written by some Finnish dude.  

Here are some facts about Sloppy:

- Written in C, or more precisely, the C99 version of C
- Uses the Xboard/Winboard chess engine communication protocol version 2
- Should compile on most PC or Mac platforms (eg. Linux, Windows, OS X)
- Licensed under version 3 of the GNU General Public Licence
- Often plays in a way which could be described as sloppy

Authors:
		Ilari Pihlajisto <ilari.pihlajisto@mbnet.fi>		



%prep
%setup -q -n sloppy-%{version}
%patch0 -p0
%patch1 -p1

%build
pushd src/
%{__make}
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 src/sloppy $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/xsloppy022
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 sloppy.conf $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/
bzip2 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/book.bin.bz2
%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES  COPYING  README TODO 
%{_bindir}/*%{name}*
%{_datadir}/%{name}

%changelog
* Thu Aug 27 2009 AxelKoellhofer@web.de
- first build for openSUSE, version 0.2.2

